%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate warp

Name:           rust-warp
Version:        0.3.7
Release:    1%{?dist}
Summary:        Serve the web at warp speeds

License:        MIT
URL:            https://crates.io/crates/warp
Source0:         %{crates_source}
Patch:          warp-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Serve the web at warp speeds.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+async-compression-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+async-compression-devel %{_description}

This package contains library source intended for building other packages which
use the "async-compression" feature of the "%{crate}" crate.

%files       -n %{name}+async-compression-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+compression-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+compression-devel %{_description}

This package contains library source intended for building other packages which
use the "compression" feature of the "%{crate}" crate.

%files       -n %{name}+compression-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+compression-brotli-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+compression-brotli-devel %{_description}

This package contains library source intended for building other packages which
use the "compression-brotli" feature of the "%{crate}" crate.

%files       -n %{name}+compression-brotli-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+compression-gzip-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+compression-gzip-devel %{_description}

This package contains library source intended for building other packages which
use the "compression-gzip" feature of the "%{crate}" crate.

%files       -n %{name}+compression-gzip-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+multer-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+multer-devel %{_description}

This package contains library source intended for building other packages which
use the "multer" feature of the "%{crate}" crate.

%files       -n %{name}+multer-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+multipart-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+multipart-devel %{_description}

This package contains library source intended for building other packages which
use the "multipart" feature of the "%{crate}" crate.

%files       -n %{name}+multipart-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tokio-tungstenite-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-tungstenite-devel %{_description}

This package contains library source intended for building other packages which
use the "tokio-tungstenite" feature of the "%{crate}" crate.

%files       -n %{name}+tokio-tungstenite-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+websocket-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+websocket-devel %{_description}

This package contains library source intended for building other packages which
use the "websocket" feature of the "%{crate}" crate.

%files       -n %{name}+websocket-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -a

%build
%cargo_build -a

%install
%cargo_install -a

%if %{with check}
%check
%cargo_test -a
%endif

%changelog
* Fri Jun 21 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.7-1
- initial build
